Lib gdiplus.dll
Type GDIPlusStartupInput (GdiPlusVersion As Long, DebugEventCallback As Long, SuppressBackgroundThread As Long, SuppressExternalCodecs As Long)
Type GdiplusStartupOutput (NotificationHook As Long, NotificationUnhook As Long)
Type PropertyItem (id As Long, length As Long, type As Long, Value As Long)
Enum GDIPlus_Status (OK = 0, GenericError = 1, InvalidParameter = 2, OutOfMemory = 3, ObjectBusy = 4, InsufficientBuffer = 5, NotImplemented = 6, Win32Error = 7, WrongState = 8, Aborted = 9, FileNotFound = 10, ValueOverflow = 11, AccessDenied = 12, UnknownImageFormat = 13, FontFamilyNotFound = 14, FontStyleNotFound = 15, NotTrueTypeFont = 16, UnsupportedGdiplusVersion = 17, GdiplusNotInitialized = 18, PropertyNotFound = 19, PropertyNotSupported = 20, ProfileNotFound = 21)
Function GdiplusShutdown (ByVal token As Long) As GDIPlus_Status
Function GdiplusStartup (ByRef token As Long, ByRef lpInput As GDIPlusStartupInput, ByRef lpOutput As GdiplusStartupOutput) As GDIPlus_Status
Function GdipLoadImageFromFile (ByVal FileName As Long, ByRef Image As Long) As GDIPlus_Status
Function GdipLoadImageFromStream (Stream As Any, ByRef Image As Long) As GDIPlus_Status
Function GdipCreateFromHDC (ByVal hdc As Long, ByRef graphics As Long) As GDIPlus_Status
Function GdipDeleteGraphics (ByVal graphics As Long) As GDIPlus_Status
Function GdipDisposeImage (ByVal Image As Long) As GDIPlus_Status
Function GdipDrawImageRect (ByVal graphics As Long, ByVal Image As Long, ByVal x As Single, ByVal y As Single, ByVal Width As Single, ByVal Height As Single) As GDIPlus_Status
Function GdipGetImageBounds (ByVal Image As Long, ByRef srcRect As RECTF, ByRef srcUnit As Long) As GDIPlus_Status
Function GdipGetPropertyItem (ByVal Image As Long, ByVal propId As Long, ByVal propSize As Long, ByRef buffer As Any) As GDIPlus_Status
Function GdipGetPropertyItemSize (ByVal Image As Long, ByVal propId As Long, ByRef Size As Long) As GDIPlus_Status
Function GdipGraphicsClear (ByVal graphics As Long, ByVal Color As Long) As GDIPlus_Status
Function GdipImageGetFrameCount (ByVal Image As Long, ByRef dimensionID As GUID, ByRef Count As Long) As GDIPlus_Status
Function GdipImageSelectActiveFrame (ByVal Image As Long, ByRef dimensionID As GUID, ByVal frameIndex As Long) As GDIPlus_Status
